﻿body {
    background-color: #fff;
    color: #4c4b4b;
    font-family: Interstate,Overpass,Helvetica,Arial,sans-serif;
    font-size: 16px;
}

h1 {
    font-family: Interstate,Overpass,Helvetica,Arial,sans-serif;
    color: #4c4b4b;
    font-size: 24px;
    margin: 0;
    min-height: 26px;
    letter-spacing: .6px;
}


label {
    font-weight: normal;
}

#menubar {
}

    #menubar .navbar-brand {
        height: 60px;
        line-height: 30px;
        display: none;
    }

        #menubar .navbar-brand:before {
            content: "";
            display: block;
            width: 45px;
            height: 30px;
            background-image: url(../images/BIMcollab-Icon_23-FullColor-RGB.svg);
            background-size: contain;
            background-repeat: no-repeat;
            background-position: 0 50%;
            padding-right: 15px;
            margin-right: 15px;
            border-right: 1px solid #646363;
            float: left;
        }

    #menubar #logout {
        color: #646363 !important;
        padding: 15px;
        line-height: 30px;
        font-size: 12px;
    }

    #menubar .navbar {
        margin-bottom: 20px;
        background-color: transparent;
        border: none;
        margin-bottom: 0;
    }

.icon {
    position: relative;
    top: -10px;
}

.logged-out iframe {
    display: none;
    width: 0;
    height: 0;
}

.login-page-2fa p {
    margin: 15px auto 25px;
    font-size: 16px;
    font-weight: 400;
    line-height: 20px;
    max-width: 75%;
    text-align: center;
}

.page-consent .client-logo {
    display: block;
    float: left;
}

    .page-consent .client-logo img {
        width: 80px;
        height: 80px;
    }

.page-consent h1 {
    display: block;
    padding: 25px 10px 0;
    overflow: hidden;
}

    .page-consent h1 small {
        display: inline;
        white-space: nowrap;
    }

.page-consent .consent-buttons {
    margin-top: 25px;
}

.page-consent .consent-description {
    display: block;
    font-size: 12px;
    margin-top: 5px;
}

.page-consent .consent-form .consent-remember {
    padding-left: 16px;
}

.page-header {
    margin-top: 20px;
    margin-bottom: 20px;
    border-bottom: 0;
}

.grants .grant {
    margin-top: 20px;
    padding-bottom: 20px;
    border-bottom: 1px solid lightgray;
}

    .grants .grant img {
        width: 100px;
        height: 100px;
    }

    .grants .grant .clientname {
        font-size: 140%;
        font-weight: bold;
    }

    .grants .grant .granttype {
        font-size: 120%;
        font-weight: bold;
    }

    .grants .grant .created {
        font-size: 120%;
        font-weight: bold;
    }

    .grants .grant .expires {
        font-size: 120%;
        font-weight: bold;
    }

    .grants .grant li {
        list-style-type: none;
        display: inline;
    }

        .grants .grant li:after {
            content: ', ';
        }

        .grants .grant li:last-child:after {
            content: '';
        }
/* custom */



.btn, .btn:focus, .btn:hover, .btn:active, .btn:active:focus {
    font-weight: 400;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    border: 1px solid transparent;
    outline: none;
    border-radius: 20px;
    box-shadow: none;
}

.btn {
    line-height: 14px;
    letter-spacing: 1.4px;
    font-size: 14px;
    color: #4c4b4b;
    min-width: 130px;
    padding: 0 30px;
    height: 40px;
}

    .btn:not(:disabled):not(.disabled) {
        cursor: pointer;
    }

    .btn.btn-primary {
        color: #212529;
        background-color: #ffce00;
        border-color: #ffce00;
    }

        .btn.btn-primary:hover {
            background-color: #f9b114;
            border-color: #f9b114;
            color: #fff;
            transition: all .2s ease;
        }

        .btn.btn-primary:focus {
            outline-offset: 1px;
            outline-color: #7f7e7d;
            box-shadow: 0 0 0 0 rgba(222,181,6,.5);
        }

        .btn.btn-primary.focus, .btn.btn-primary:focus, .btn.btn-primary:hover {
            color: #212529;
            background-color: #d9af00;
            border-color: #cca500;
        }

        .btn.btn-primary:not(:disabled):not(.disabled).active, .btn-primary:not(:disabled):not(.disabled):active {
            color: #212529;
            background-color: #cca500;
            border-color: #bf9b00;
        }


    .btn.btn.btn-default {
        background-color: #fff;
        border: 1px solid #4c4b4b;
    }

        .btn.btn-default:hover {
            color: #333;
            border: 1px solid #333;
         }

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px white inset !important;
}
.form-control {
    display: block;
    width: 100%;
    height: calc(1.16667em + .375rem);
    padding: .1875rem .75rem;
    font-size: .75rem;
    font-weight: 400;
    line-height: 1.16667;
    color: #4c4b4b;
    background-color: #fff;
    background-clip: padding-box;
    border: 0 solid #7f7e7d;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

    html body .form-control, .form-control:focus {
        padding: 0 12px;
        color: #7f7e7d;
        height: 40px;
        font-size: 16px;
        min-width: 130px;
        border-radius: 6px;
        margin-bottom: 12px;
        transition: none;
    }

        html body .form-control:focus {
            border-color: #7ca2dd;
            outline: none !important;
            box-shadow: inset 0 0 0 50px #fff,0 0 5px #7ca2dd;
        }

button, input, optgroup, select, textarea {
    margin: 0;
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}

.checkbox {
    position: relative;
    line-height: 16px;
}

    .checkbox > input[type=checkbox] {
        display: none;
    }

    .checkbox > label {
        padding-left: 30px;
    }

        .checkbox > label:before {
            content: "";
            display: block;
            width: 24px;
            height: 12px;
            border-radius: 6px;
            background-color: #cccac8;
            border: 1px solid #a0a0a0;
            left: 0;
            top: 2px;
            transition: all .2s;
            position: absolute;
        }

        .checkbox > label:after {
            content: "";
            display: block;
            width: 12px;
            height: 12px;
            border-radius: 6px;
            background-color: #fff;
            left: 0px;
            top: 2px;
            position: absolute;
            transition: all .2s;
            border: 1px solid #a0a0a0;
        }

    .checkbox > input:checked + label:before {
        background-color: #7f7e7d;
    }


    .checkbox > input:checked + label:after {
        left: 12px;
        border: 1px solid #7f7e7d;
    }

    .checkbox > input[disabled] + label {
        cursor: not-allowed;
    }

        .checkbox > input[disabled] + label:before {
            border: 1px solid #7f7e7d;
            background-color: #cccac8;
        }

        .checkbox > input[disabled] + label:after {
            border: 1px solid #7f7e7d;
            background-color: #fff;
        }

.col-centered, .panel-centered {
    margin-left: auto;
    margin-right: auto;
    float: none;
}

.alert.validation-summary {
    color: #e48c03;
    line-height: 1.6;
    font-size: 12px;
    border: none;
    background-color: transparent;
    color: #e48c03;
    padding: 0;
}

    .alert.validation-summary li, .alert.validation-summary ul {
        list-style-type: none;
        padding: 0;
        margin: 0;
    }
